Modul
Isi
Indeks 🔎︎

# Fungsi Input [VBA]

Mengembalikan aliran terbuka dari file Input atau Biner (String).

Fungsi atau konstanta ini diaktifkan dengan pernyataan Option VBASupport 1 yang ditempatkan sebelum kode program yang dapat dieksekusi dalam sebuah modul.

## Sintaksis:

    Input( Number as Integer, [# ] FileNumber as Integer)

## Nilai balikan:

String

## Parameter:

Nomor: Diperlukan. Ekspresi numerik menentukan jumlah karakter yang akan dikembalikan.

#: Opsional.

FileNumber: Diperlukan. Pada setiap nomor file yang valid.

## Kode kesalahan:

6 Tumpang tindih

52 Nama berkas atau angka yang buruk

62 Pembacaan melampaui EOF

## Contoh:

    REM ***** BASIC *****

    Option VBASupport 1

    Sub Example_Input

     Dim MyData

     Open "MyDataFile.txt" For Input As #1

     Do While Not EOF(1)

      MyData = Input(1, #1)

      Print MyData

     Loop

     Close #1

    End Sub

Topik Terkait

Input# Pernyataan

Fungsi I/O VBA